#include <Application.h>
#include <View.h>


class StopButton : public BView {
 public:
	static	StopButton*	Instantiate(BMessage *data);
						StopButton(BMessage *archive);
						StopButton();
	virtual	void		Draw(BRect urect);
	virtual	void		MouseDown(BPoint pos);
	virtual	status_t	Archive(BMessage *archive, bool deep= true) const;
};

class MediaSerializer : public BApplication {
 public:
						MediaSerializer();
	virtual	void		ArgvReceived(int32 argc, char **argv);
	virtual	void		RefsReceived(BMessage *msg);
	virtual	void		MessageReceived(BMessage *msg);
	virtual	bool		QuitRequested();
	
 private:
			BList		playlist;
			app_info	frontApp;
			bool		launchingMedia;

			void		AddDir(BDirectory *dir);
			void		PlayNext();
};
